package require SOAP

global SOAPServerHost SOAPServerPort
variable uri "urn:RegisterServer"
variable proxy "http://$SOAPServerHost:$SOAPServerPort/RegisterServer"

SOAP::create DefineServer -proxy $proxy -uri $uri -params {p string}
SOAP::create InquireRegisters -proxy $proxy -uri $uri -params {p string}
SOAP::create WriteRegister -proxy $proxy -uri $uri -params {r string v string}
SOAP::create WriteRegisters -proxy $proxy -uri $uri -params {p string v string}
SOAP::create ReadRegister -proxy $proxy -uri $uri -params {r string}
SOAP::create ReadRegisters -proxy $proxy -uri $uri -params {p string}
SOAP::create InitialiseRegister -proxy $proxy -uri $uri -params {r string}
SOAP::create InitialiseRegisters -proxy $proxy -uri $uri -params {p string}
SOAP::create WriteRegisterAttributes -proxy $proxy -uri $uri -params {r string a string}
SOAP::create WriteRegistersAttributes -proxy $proxy -uri $uri -params {p string a string}
SOAP::create ReadRegisterAttributes -proxy $proxy -uri $uri -params {r string}
SOAP::create ReadRegistersAttributes -proxy $proxy -uri $uri -params {p string}
SOAP::create RegistersAttributes -proxy $proxy -uri $uri -params {p string}
SOAP::create DefineRegister -proxy $proxy -uri $uri -params {r string c string a string}
SOAP::create DeleteRegister -proxy $proxy -uri $uri -params {r string}
SOAP::create DeleteRegisters -proxy $proxy -uri $uri -params {p string}
